Subject: Re: [PATCH v2 2/5] ci: merge linux-gcc-default into linux-gcc

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 7 Jan 2025 13:48:36 +0100

On Mon, Jan 06, 2025 at 02:25:23PM +0100, Christian Couder wrote:
> On Mon, Jan 6, 2025 at 8:51 AM Patrick Steinhardt <[email-masked]> wrote:
> >
> > The "linux-gcc-default" job is mostly doing the same as the "linux-gcc"
> > job, except for a couple of minor differences:
> >
> >   - We use an explicit GCC version instead of the default version
> >     provided by the distribution. We have other jobs that test with
> >     "gcc-8", making this distinction pointless.
> >
> >   - We don't set up the Python version explicitly, and instead use the
> >     default Python version. Python 2 has been end-of-life for quite a
> >     while now though, making this distinction less interesting.
> >
> >   - We set up the default branch name to be "main" in "linux-gcc". We
> >     have other testcases that don't and also some that explicitly use
> >     "master".
> >
> > So overall, the job does not add much to our test coverage. Merge it
> > into our "linux-gcc" job to reduce our test matrix a bit.
> 
> I understand that the subject uses "merge" as the space is limited
> there, but it might be better to be a bit more explicit here about
> what the patch is doing, which is:
> 
>   - making the "linux-gcc" job use the default version of gcc provided
> by the distribution (which is ubuntu-20.04) instead of "gcc-8",
>   - removing the "linux-gcc-default" job.

But isn't that what "merging" is about? One merges the diff of side A
into B and then removes A. I don't have an idea for a better subject,
honestly.

> > Signed-off-by: Patrick Steinhardt <[email-masked]>
> > ---
> >  .github/workflows/main.yml | 4 ----
> >  .gitlab-ci.yml             | 4 ----
> >  ci/lib.sh                  | 5 -----
> >  3 files changed, 13 deletions(-)
> >
> > diff --git a/.github/workflows/main.yml b/.github/workflows/main.yml
> > index 808ddc19b8a799abc414c6d6ba078a6e5be6bdfb..32d35d2257812f02121b20c3cae342d626481553 100644
> > --- a/.github/workflows/main.yml
> > +++ b/.github/workflows/main.yml
> > @@ -271,7 +271,6 @@ jobs:
> >              pool: ubuntu-latest
> >            - jobname: linux-gcc
> >              cc: gcc
> > -            cc_package: gcc-8
> >              pool: ubuntu-20.04
> 
> So linux-gcc uses ubuntu-20.04...
> 
> >            - jobname: linux-TEST-vars
> >              cc: gcc
> > @@ -286,9 +285,6 @@ jobs:
> >            - jobname: osx-gcc
> >              cc: gcc-13
> >              pool: macos-13
> > -          - jobname: linux-gcc-default
> > -            cc: gcc
> > -            pool: ubuntu-latest
> 
> ...while linux-gcc-default uses ubuntu-latest.
> 
> This is not a big issue but I didn't see that mentioned in the
> differences between the two jobs listed in the commit message.

Fair, added now.

Patrick